Download it now!
Bug 112593 - Chinese characters shifted to the right a lot while used along with Graphite fonts in vertical layout
Summary: Chinese characters shifted to the right a lot while used along with Graphite ...
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.4.1.2 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: CJK Vertical-Text
  Show dependency treegraph
 
Reported: 2017-09-23 17:36 UTC by Volga
Modified: 2017-12-01 12:13 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Test file (9.46 KB, application/vnd.oasis.opendocument.text)
2017-09-23 17:41 UTC, Volga
Details
Screenshot (29.73 KB, image/png)
2017-09-23 17:44 UTC, Volga
Details
test.odt NG on 5.4.2.2ja (110.73 KB, image/png)
2017-10-20 00:25 UTC, Junichi Matsukawa
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Volga 2017-09-23 17:36:41 UTC
Description:
While I switch text direction to vertical, Chinese characters shifted to the right a lot while used along with Graphite fonts.

Steps to Reproduce:
1. Open Writer
2. Insert -> Frame -> Frame Interactively
3. Input “Abg123文字” into frame
4. Select the text and set the font as Linux Libertine G
5. Copy the text into the next line
6. Select the text at the next line, then set the font as Doulos SIL

Actual Results:  
When LibreOffice used Graphite fonts for western text, Chinese characters shifted to the right a lot, leave large gaps at the character steams. See my screenshot.

Expected Results:
Chinese characters should be aligned well with Graphite fonts.


Reproducible: Always

User Profile Reset: No

Additional Info:
版本:5.4.2.1 (x64)
Build ID:dfa67a98bede79c671438308dc9036d50465d2cb
CPU 线程:4; 操作系统:Windows 6.19; UI 渲染:默认; 
区域语言:zh-CN (zh_CN); Calc: group


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:55.0) Gecko/20100101 Firefox/55.0
Comment 1 Volga 2017-09-23 17:41:42 UTC
Created attachment 136489 [details]
Test file
Comment 2 Volga 2017-09-23 17:44:35 UTC
Created attachment 136490 [details]
Screenshot
Comment 3 Junichi Matsukawa 2017-10-20 00:25:18 UTC
Created attachment 137129 [details]
test.odt NG on 5.4.2.2ja

バージョン: 5.4.2.2
Build ID: 22b09f6418e8c2d508a9eaf86b2399209b0990f4
CPU threads: 4; OS: Windows 6.2; UI render: default; 
ロケール: ja-JP (ja_JP); Calc: single

test.odt NG on 5.4.2.2ja
Comment 4 Junichi Matsukawa 2017-10-20 00:31:25 UTC
Hi. Volga.

I tested the test.odt.
I reproduced the bug.

I think this bug is the same cause.
https://bugs.documentfoundation.org/show_bug.cgi?id=113169
Comment 5 Volga 2017-11-19 06:16:04 UTC
This is fixed in bug 111967.
Comment 6 Volga 2017-11-30 07:31:56 UTC
Fixed in:

Version: 6.0.0.0.beta1 (x64)
Build ID:97471ab4eb4db4c487195658631696bb3238656c
CPU 线程:4; 操作系统:Windows 10.0; UI 渲染:默认; 
Locale: zh-CN (zh_CN); Calc: group threaded